# Class: AdminPostCustomersReq

[internal](../modules/internal-6.md).AdminPostCustomersReq

## Properties

### email

• **email**: `string`

#### Defined in

medusa/dist/api/routes/admin/customers/create-customer.d.ts:97

___

### first\_name

• **first\_name**: `string`

#### Defined in

medusa/dist/api/routes/admin/customers/create-customer.d.ts:98

___

### last\_name

• **last\_name**: `string`

#### Defined in

medusa/dist/api/routes/admin/customers/create-customer.d.ts:99

___

### metadata

• `Optional` **metadata**: `Record`<`string`, `unknown`\>

#### Defined in

medusa/dist/api/routes/admin/customers/create-customer.d.ts:102

___

### password

• **password**: `string`

#### Defined in

medusa/dist/api/routes/admin/customers/create-customer.d.ts:100

___

### phone

• `Optional` **phone**: `string`

#### Defined in

medusa/dist/api/routes/admin/customers/create-customer.d.ts:101
